POST api/v2/Item/EditSupplier
Request Information
URI Parameters
None.
Body Parameters
SupplierModel| Name | Description | Type | Additional information |
|---|---|---|---|
| intSupplierID | integer |
None. |
|
| strCompany | string |
None. |
|
| strName | string |
None. |
|
| strAddress1 | string |
None. |
|
| strAddress2 | string |
None. |
|
| strZIP | string |
None. |
|
| strCity | string |
None. |
|
| strState | string |
None. |
|
| strPhone | string |
None. |
|
| strEMail | string |
None. |
|
| strWeb | string |
None. |
|
| intCompDepID | integer |
None. |
|
| intCountryID | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"intSupplierID": 1,
"strCompany": "sample string 2",
"strName": "sample string 3",
"strAddress1": "sample string 4",
"strAddress2": "sample string 5",
"strZIP": "sample string 6",
"strCity": "sample string 7",
"strState": "sample string 8",
"strPhone": "sample string 9",
"strEMail": "sample string 10",
"strWeb": "sample string 11",
"intCompDepID": 12,
"intCountryID": 13
}
application/xml, text/xml
Sample:
<SupplierModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/XS2.WMSWebApiV2.Models"> <intCompDepID>12</intCompDepID> <intCountryID>13</intCountryID> <intSupplierID>1</intSupplierID> <strAddress1>sample string 4</strAddress1> <strAddress2>sample string 5</strAddress2> <strCity>sample string 7</strCity> <strCompany>sample string 2</strCompany> <strEMail>sample string 10</strEMail> <strName>sample string 3</strName> <strPhone>sample string 9</strPhone> <strState>sample string 8</strState> <strWeb>sample string 11</strWeb> <strZIP>sample string 6</strZIP> </SupplierModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.